import java.io.*;
import java.net.*;
import java.awt.*;
import java.awt.event.*;

class ChatClient {
	public static void main (String[] args) {
		ChatFrame cf = new ChatFrame();
		cf.setVisible(true);
	}
}

class ChatFrame extends Frame {
	Label label1;
	TextField text1;
	TextArea area1;
	Socket c;
	DataInputStream in;
	PrintStream out;
	
	public ChatFrame() {

		try {
			c = new Socket("127.0.0.1", 7913);
			in = new DataInputStream(c.getInputStream());
			out = new PrintStream(c.getOutputStream());
		}
		catch (IOException e) {
			System.out.println("Error " + e);
			System.exit(1);
		}

		setSize(600,400);
		setResizable(false);
		setTitle("Chat klient");
		setLocation(100,100);
		addWindowListener(new WindowAdapter() {
			public void windowClosing(WindowEvent e) {
				System.exit(0);
			}
		});

		setLayout(null);
		
		label1 = new Label("Besked");
		label1.setBounds(10,25,200,20);
		add(label1);
		
		text1 = new TextField();
		text1.setBounds(10,50,580,25);
		text1.setText("");
		add(text1);
		text1.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent e) {
				// Send beskeden til serveren
				out.println(text1.getText());
				if (text1.getText().trim().equals("FARVEL")) {
					System.exit(0);
				}
				text1.setText("");
			}
		});

		area1 = new TextArea();
		area1.setBounds(10,80,580,300);
		area1.setText("");
		add(area1);
		
		new TextAreaHandler(area1, in).start();
		
	}
}

class TextAreaHandler extends Thread {
	private TextArea a;
	private DataInputStream in;
	
	public TextAreaHandler(TextArea area, DataInputStream input) {
		a = area;
		in = input;
	}
	
	public void run() {
		while (true) {
			try {
				String str = in.readLine();
				a.append(str + "\n");
			}
			catch (Exception e) {
				System.out.println(e);
			}
		}
	}
	
}
	
	